<?php
/*
Template name: Carousel Template
*/

get_header();

if ( have_posts() ){

the_post();

$hervin_page_container_list = array();

$hervin_showcase_tax_query = null;
$hervin_showcase_category_filter	= hervin_get_post_meta( HERVIN_THEME_OPTIONS, get_the_ID(), 'hervin-opt-page-showcase-filter-category' );

if( !empty( $hervin_showcase_category_filter ) ){
	
	$hervin_array_terms = explode( ",", $hervin_showcase_category_filter );
	$hervin_showcase_tax_query = array(
										array(
											'taxonomy' 	=> 'portfolio_category',
											'field'    	=> 'slug',
											'terms'    	=> $hervin_array_terms,
										),
									);
}
?>

		<!-- Main -->
		<div id="main">

			<!-- Main Content -->
			<div id="main-content">

				<!-- Showcase Holder -->
				<div id="showcase-holder" class="carousel-slider <?php if( hervin_get_theme_options('clapat_hervin_enable_ajax') ){ echo 'thumb-with-ajax'; } else { echo 'thumb-no-ajax'; } ?>"> 
					<div id="showcase-holder-wrap">
						<div id="showcase-carousel-slider" class="swiper-container">
							<div class="swiper-wrapper">
							<?php

									$hervin_paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
									$hervin_args = array(
												'post_type' => 'hervin_portfolio',
												'paged' => $hervin_paged,
												'tax_query' => $hervin_showcase_tax_query,
												'posts_per_page' => 1000,
												 );

									$hervin_portfolio = new WP_Query( $hervin_args );

									$hervin_slides_count = 1;
									while( $hervin_portfolio->have_posts() ){

										$hervin_portfolio->the_post();
										
										$hervin_showcase_include	= hervin_get_post_meta( HERVIN_THEME_OPTIONS, get_the_ID(), 'hervin-opt-portfolio-showcase-include' );
										
										if( $hervin_showcase_include == "yes" ){
										
											$hervin_hero_properties = new HervinHeroProperties();
											$hervin_hero_properties->getProperties( get_post_type( get_the_ID() ) );
											
											?>
											
											<!-- Section Slide -->
											<div class="swiper-slide" data-title="<?php echo esc_attr( $hervin_hero_properties->caption_title ); ?>" data-subtitle="<?php echo esc_attr( $hervin_hero_properties->caption_subtitle ); ?>" data-number="<?php echo esc_attr( sprintf("%02d", $hervin_slides_count) ); ?>">
												<div class="img-mask">
													<div class="section-image" data-src="<?php echo esc_url( $hervin_hero_properties->image['url'] ); ?>">
													<?php if( $hervin_hero_properties->video ) { ?>
														<div class="hero-video-wrapper">
															<video loop muted class="bgvid">
																<?php if( !empty( $hervin_hero_properties->video_mp4 ) ) { ?>
																<source src="<?php echo esc_url( $hervin_hero_properties->video_mp4 ); ?>" type="video/mp4">
																<?php } ?>
																<?php if( !empty( $hervin_hero_properties->video_webm ) ) { ?>
																<source src="<?php echo esc_url( $hervin_hero_properties->video_webm ); ?>" type="video/webm">
																<?php } ?>
															</video>
														</div>
													<?php } ?>
													</div>
												</div>
												<div class="outer">
													<div class="inner">
														<div class="title-wrapper">
															<?php if( hervin_get_theme_options('clapat_hervin_enable_ajax') ){ ?>
															<a class="title hide-ball" data-type="page-transition" href="<?php the_permalink(); ?>">
															<?php } else { ?>
															<a  class="title hide-ball" href="<?php the_permalink(); ?>">
															<?php } ?>
															<?php echo wp_kses_post( $hervin_hero_properties->caption_title ); ?><span><?php echo wp_kses_post( sprintf("%02d", $hervin_slides_count) ); ?></span>
															</a>
														</div>
														<div class="subtitle-wrapper">
															<div class="subtitle"><?php echo wp_kses_post( $hervin_hero_properties->caption_subtitle ); ?></div>
														</div>
													</div>
												</div>                                    
											</div>
											<!--/Section Slide -->
											
											<?php
											
											$hervin_page_container_list[] = esc_url( $hervin_hero_properties->image['url'] );
											
										}

										$hervin_slides_count++;
									}

									wp_reset_postdata();
									
									hervin_portfolio_images( $hervin_page_container_list );
							?>
							</div>
						</div>             
					</div>
                </div>    
                <!-- Showcase Holder -->
				
			</div>
			<!-- /Main Content -->

		</div>
        <!--/Main -->

<?php

}

get_footer();

?>
