<?php

// You may replace $redux_opt_name with a string if you wish. If you do so, change loader.php
// as well as all the instances below.
$redux_opt_name = 'clapat_' . HERVIN_THEME_ID . '_theme_options';


if ( !function_exists( "hervin_add_metaboxes" ) ){

    function hervin_add_metaboxes( $metaboxes ) {

    $metaboxes = array();


    ////////////// Page Options //////////////
    $page_options = array();
    $page_options[] = array(
        'title'         => esc_html__('General', 'hervin'),
        'icon_class'    => 'icon-large',
        'icon'          => 'el-icon-wrench',
        'desc'          => esc_html__('Options concerning all page templates.', 'hervin'),
        'fields'        => array(
			
			array(
                'id'        => 'hervin-opt-page-bknd-color',
                'type'      => 'select',
                'title'     => esc_html__('Background color', 'hervin'),
				'desc'      => esc_html__('Background color for this page.', 'hervin'),
                'options'   => array(
                    'dark-content' 	=> esc_html__('White', 'hervin'),
                    'light-content' => esc_html__('Black', 'hervin')

                ),
				'default'   => 'dark-content',
            ),
			
			/**************************HERO SECTION OPTIONS**************************/
			array(
                'id'        => 'hervin-opt-page-enable-hero',
                'type'      => 'switch',
                'title'     => esc_html__('Display Hero Section', 'hervin'),
                'desc'      => esc_html__('Enable "hero" section displayed immediately below page header. Showcase and Carousel pages do not have a hero section.', 'hervin'),
				'on'       => esc_html__('Yes', 'hervin'),
				'off'      => esc_html__('No', 'hervin'),
                'default'   => false
            ),

			array(
                'id'        => 'hervin-opt-page-hero-caption-title',
                'type'      => 'text',
				'required'  => array( 'hervin-opt-page-enable-hero', '=', true ),
                'title'     => esc_html__('Hero Caption Title', 'hervin'),
                'subtitle'  => esc_html__('Caption title displayed over hero section.', 'hervin'),
	        ),

			array(
                'id'        => 'hervin-opt-page-hero-caption-subtitle',
                'type'      => 'textarea',
				'required'  => array( 'hervin-opt-page-enable-hero', '=', true ),
                'title'     => esc_html__('Hero Caption Subtitle', 'hervin'),
                'subtitle'  => esc_html__('Caption subtitle displayed over hero section. Enter plain text.', 'hervin'),
                'validate'  => 'html', //see http://codex.wordpress.org/Function_Reference/wp_kses_post
	        ),

			/**************************END - HERO SECTION OPTIONS**************************/
			
			/**************************PAGE NAVIGATION SECTION OPTIONS**************************/
			array(
                'id'        => 'hervin-opt-page-enable-navigation',
                'type'      => 'switch',
                'title'     => esc_html__('Enable Page Navigation Section', 'hervin'),
                'desc'      => esc_html__('Enable page navigation section displayed above the footer. Available only in Default, Portfolio and Portfolio Mixed templates.', 'hervin'),
				'on'       => esc_html__('Yes', 'hervin'),
				'off'      => esc_html__('No', 'hervin'),
                'default'   => false
            ),
			
			array(
                'id'        => 'hervin-opt-page-navigation-caption-title',
                'type'      => 'text',
				'required'  => array( 'hervin-opt-page-enable-navigation', '=', true ),
                'title'     => esc_html__('Navigation Caption', 'hervin'),
                'desc'  => esc_html__('Caption displayed above the next page title.', 'hervin'),
	        ),

			array(
                'id'        => 'hervin-opt-page-navigation-next-url',
                'type'      => 'url',
				'required'  => array( 'hervin-opt-page-enable-navigation', '=', true ),
                'title'     => esc_html__('Next Page Url', 'hervin'),
                'desc'  => esc_html__('The url of the next page in navigation.', 'hervin'),
	        ),
			
			array(
                'id'        => 'hervin-opt-page-navigation-next-title',
                'type'      => 'text',
				'required'  => array( 'hervin-opt-page-enable-navigation', '=', true ),
                'title'     => esc_html__('Next Page Title', 'hervin'),
                'desc'  => esc_html__('The title of the next page in navigation. For an optimal transition between pages this field is the next page hero title or next page title (if hero is disabled).', 'hervin'),
	        ),

			array(
                'id'        => 'hervin-opt-page-navigation-next-subtitle',
                'type'      => 'text',
				'required'  => array( 'hervin-opt-page-enable-navigation', '=', true ),
                'title'     => esc_html__('Next Page Subtitle', 'hervin'),
                'desc'  => esc_html__('The subtitle of the next page in navigation. For an optimal transition between pages this field is the next page hero subtitle (if hero is enabled).', 'hervin'),
	        ),
			/**************************END - PAGE NAVIGATION SECTION OPTIONS**************************/
        ),
    );

	$page_options[] = array(
        'title'         => esc_html__('Portfolio and Portfolio Mixed Templates', 'hervin'),
        'icon_class'    => 'icon-large',
        'icon'          => 'el-icon-folder-open',
        'desc'          => esc_html__('Options concerning only Portfolio templates.', 'hervin'),
        'fields'        => array(

			array(
                'id'        => 'hervin-opt-page-portfolio-hover-effect',
                'type'      => 'select',
                'title'     => esc_html__('Hover Effect', 'hervin'),
				'desc'      => esc_html__('The type of hover for each portfolio item thumbnail.', 'hervin'),
                'options'   => array(
                    'below-caption' 	=> esc_html__('Caption Below', 'hervin'),
                ),
				'default'   => 'below-caption'
            ),
			
			array(
                'id'        => 'hervin-opt-page-portfolio-layout',
                'type'      => 'select',
                'title'     => esc_html__('Page Layout', 'hervin'),
				'desc'      => esc_html__('The portfolio page layout.', 'hervin'),
                'options'   => array(
                    'wide' 	=> esc_html__('Wide', 'hervin'),
					'boxed'	=> esc_html__('Boxed', 'hervin'),
                ),
				'default'   => 'wide'
            ),
			
			array(
                 'id'       => 'hervin-opt-page-portfolio-mixed-items',
                 'type'     => 'text',
                 'title'    => esc_html__( 'Maximum Number Of Items In Portfolio Mixed', 'hervin' ),
                 'desc' => esc_html__( 'Available only for Portfolio Mixed Template: the maximum number of portfolio items displayed. Leave empty for ALL.', 'hervin' )
             ),
			 
			 array(
                 'id'       => 'hervin-opt-page-portfolio-mixed-content-position',
                 'type'     => 'select',
                 'title'    => esc_html__( 'Page Content Position', 'hervin'),
                 'desc' => esc_html__( 'Available only for Portfolio Mixed Template: page content position in relation with portfolio grid.', 'hervin'),
                 'options'   => array(
                    'after' 	=> esc_html__('After Portfolio Grid', 'hervin'),
					'before'	=> esc_html__('Before Portfolio Grid', 'hervin'),
                 ),
				 'default'	=> true,
            ),
			
		),
	);
		
	$page_options[] = array(
        'title'         => esc_html__('Showcase and Carousel Templates', 'hervin'),
        'icon_class'    => 'icon-large',
        'icon'          => 'el-icon-folder-open',
        'desc'          => esc_html__('Options concerning only Showcase and Carousel templates.', 'hervin'),
        'fields'        => array(

			array(
                'id'        	=> 'hervin-opt-page-showcase-filter-category',
                'type'      	=> 'text',
				'title'     	=> esc_html__('Category Filter', 'hervin'),
                'desc'  		=> esc_html__('Paste here the portfolio category slugs you want to include in the Showcase slider separated by comma. Do not include spaces. For example photography,branding. It will exclude the rest of the categories. The portfolio category slugs can be found in Portfolio -> Categories.', 'hervin'),
				'default'  	=> '',
	        ),
						
        ),

    );
	
	$metaboxes[] = array(
        'id'            => 'clapat_' . HERVIN_THEME_ID . '_page_options',
        'title'         => esc_html__( 'Page Options', 'hervin'),
        'post_types'    => array( 'page' ),
        'position'      => 'normal', // normal, advanced, side
        'priority'      => 'high', // high, core, default, low
        'sidebar'       => false, // enable/disable the sidsebar in the normal/advanced positions
        'sections'      => $page_options,
    );

    $blog_post_options = array();
    $blog_post_options[] = array(

         'icon_class'    => 'icon-large',
         'icon'          => 'el-icon-wrench',
         'fields'        => array(

			array(
                'id'        => 'hervin-opt-blog-bknd-color',
                'type'      => 'select',
                'title'     => esc_html__('Background color', 'hervin'),
				'desc'      => esc_html__('Background color for this blog post.', 'hervin'),
                'options'   => array(
                    'dark-content' 	=> esc_html__('White', 'hervin'),
                    'light-content' => esc_html__('Black', 'hervin')

                ),
				'default'   => 'dark-content',
            ),
				  
          )
        );
			/**************************END - HERO SECTION OPTIONS**************************/

    $metaboxes[] = array(
       'id'            => 'clapat_' . HERVIN_THEME_ID . '_post_options',
       'title'         => esc_html__( 'Post Options', 'hervin'),
       'post_types'    => array( 'post' ),
       'position'      => 'normal', // normal, advanced, side
       'priority'      => 'high', // high, core, default, low
       'sidebar'       => false, // enable/disable the sidebar in the normal/advanced positions
       'sections'      => $blog_post_options,
    );


    $portfolio_options = array();
    $portfolio_options[] = array(

        'icon_class'    => 'icon-large',
        'icon'          => 'el-icon-wrench',
        'fields'        => array(

			array(
                'id'        => 'hervin-opt-portfolio-bknd-color',
                'type'      => 'select',
                'title'     => esc_html__('Background color', 'hervin'),
				'desc'      => esc_html__('Background color for this page.', 'hervin'),
                'options'   => array(
                    'dark-content' 	=> esc_html__('White', 'hervin'),
                    'light-content' => esc_html__('Black', 'hervin')

                ),
				'default'   => 'dark-content',
            ),
			
			array(
                'id'        => 'hervin-opt-portfolio-showcase-include',
                'type'      => 'select',
                'title'     => esc_html__('Include In Showcase Slider', 'hervin'),
                'desc'      => esc_html__('Include this portfolio item in the Showcase slider. The slider is displayed in Showcase page template.', 'hervin'),
				'options'   => array(
                    'yes'		=> esc_html__('Include in Showcase', 'hervin'),
                    'no'  	=> esc_html__('Exclude from Showcase', 'hervin')

                ),
                'default'   => 'yes'
            ),
			
			/**************************HERO SECTION OPTIONS**************************/
			array(
				'id'        => 'hervin-opt-portfolio-hero-img',
                'type'      => 'media',
                'url'       => true,
                'title'     => esc_html__('Hero Image', 'hervin'),
                'desc'      => esc_html__('Upload hero background image.  The hero image is being displayed in portfolio showcase. Hero section is the header section displayed at the top of the project page.', 'hervin'),
                'default'   => array(),
            ),
			
			array(
                'id'        => 'hervin-opt-portfolio-video',
                'type'      => 'switch',
				'title'     => esc_html__('Video Hero', 'hervin'),
				'desc'   	=> esc_html__('Video displayed as hero section and showcase slide. If you check this option set the Hero Image as the first frame image of the video to avoid flickering!', 'hervin'),
                'on'       => esc_html__('Yes', 'hervin'),
				'off'      => esc_html__('No', 'hervin'),
                'default'   => false
            ),
			
			array(
                'id'        => 'hervin-opt-portfolio-video-webm',
                'type'      => 'text',
                'title'     => esc_html__('Webm Video URL', 'hervin'),
                'desc'   	=> esc_html__('URL of the showcase slide background webm video. Webm format is previewed in Chrome and Firefox.', 'hervin'),
				'required'	=> array('hervin-opt-portfolio-video', '=', true),
            ),
			
			array(
                'id'        => 'hervin-opt-portfolio-video-mp4',
                'type'      => 'text',
                'title'     => esc_html__('MP4 Video URL', 'hervin'),
                'desc'   	=> esc_html__('URL of the showcase slide background MP4 video. MP4 format is previewed in IE, Safari and other browsers.', 'hervin'),
                'required'	=> array('hervin-opt-portfolio-video', '=', true),
            ),
						
			array(
                'id'        => 'hervin-opt-portfolio-hero-caption-title',
                'type'      => 'text',
				'title'     => esc_html__('Hero Caption Title', 'hervin'),
                'subtitle'  => esc_html__('Caption title displayed over hero section. The hero background image is set in the hero image set in preceding option.', 'hervin'),
	        ),

			array(
                'id'        => 'hervin-opt-portfolio-hero-caption-subtitle',
                'type'      => 'textarea',
				'title'     => esc_html__('Hero Caption Subtitle', 'hervin'),
                'subtitle'  => esc_html__('Caption subtitle displayed over hero section. Enter plain text.', 'hervin'),
                'validate'  => 'html', //see http://codex.wordpress.org/Function_Reference/wp_kses_post
	        ),
			
			array(
                'id'        => 'hervin-opt-portfolio-hero-scroll-caption',
                'type'      => 'text',
				'title'     => esc_html__('Scroll Down Caption', 'hervin'),
                'desc'  => esc_html__('Scroll down caption displayed to the left of the hero image indicating scrolling down to reveal the content. Leave empty for no scroll down button.', 'hervin'),
				'default'   => esc_html__('Scroll Down', 'hervin'),
	        ),

			array(
                'id'        => 'hervin-opt-portfolio-hero-project-info',
                'type'      => 'text',
				'title'     => esc_html__('Hero Project Info', 'hervin'),
                'desc'  => esc_html__('Short text describing the project to the bottom right of the hero image. Usually the year when the project has been accomplished.', 'hervin')
	        ),
			
			array(
                'id'        => 'hervin-opt-portfolio-hero-position',
                'type'      => 'select',
                'title'     => esc_html__('Hero Position', 'hervin'),
                'desc'      => esc_html__('Position of the "hero" section displayed as page header.', 'hervin'),
				'options'   => array(
                    'fixed-onscroll' 	=> esc_html__('Relative', 'hervin'),
                    'parallax-onscroll' => esc_html__('Parallax', 'hervin')
                ),
                'default'   => 'fixed-onscroll'
            ),
			/**************************END - HERO SECTION OPTIONS**************************/

        ),
    );

    $metaboxes[] = array(
        'id'            => 'clapat_' . HERVIN_THEME_ID . '_portfolio_options',
        'title'         => esc_html__( 'Portfolio Item Options', 'hervin'),
        'post_types'    => array( 'hervin_portfolio' ),
        'position'      => 'normal', // normal, advanced, side
        'priority'      => 'high', // high, core, default, low
        'sidebar'       => false, // enable/disable the sidebar in the normal/advanced positions
        'sections'      => $portfolio_options,
    );

	return $metaboxes;
  }
  
}

if( class_exists('Clapat\Hervin\Metaboxes\Meta_Boxes') ){

	$metabox_definitions = array();
	$metabox_definitions = hervin_add_metaboxes( $metabox_definitions );
	do_action( 'clapat/hervin/add_metaboxes', $metabox_definitions );
}