<?php
/*
Template name: Portfolio Template
*/
get_header();

if ( have_posts() ){

the_post();

$hervin_hover_effect		= hervin_get_post_meta( HERVIN_THEME_OPTIONS, get_the_ID(), 'hervin-opt-page-portfolio-hover-effect' );
$hervin_portfolio_layout	= hervin_get_post_meta( HERVIN_THEME_OPTIONS, get_the_ID(), 'hervin-opt-page-portfolio-layout' );

$hervin_page_container_list = array();
?>
				
		<!-- Main -->
		<div id="main">
		
		<?php
		
			// display hero section
			get_template_part('sections/hero_section'); 
		
		?>
			<!-- Main Content -->
			<div id="main-content">
				<div id="main-page-content">
				
					<div id="show-filters" class="button-box has-animation" data-delay="100">             
                        <div class="clapat-button-wrap parallax-wrap hide-ball">
                            <div class="clapat-button parallax-element">
								<div class="button-border rounded outline parallax-element-second">
									<span data-hover="<?php echo esc_attr( hervin_get_theme_options( 'clapat_hervin_portfolio_show_filters_hover_caption' ) ); ?>">
										<?php echo wp_kses_post( hervin_get_theme_options( 'clapat_hervin_portfolio_show_filters_caption' ) ); ?>
									</span>
								</div>
                            </div>
                        </div> 
                    </div>
							
					<!-- Portfolio -->
					<div id="portfolio-wrap" class="<?php echo sanitize_html_class( $hervin_portfolio_layout ); ?>">
						<div id="portfolio"  class="<?php echo sanitize_html_class( $hervin_hover_effect ); ?> <?php if( hervin_get_theme_options('clapat_hervin_enable_ajax') ){ echo 'thumb-with-ajax'; } else { echo 'thumb-no-ajax'; } ?>">
						<?php

							$hervin_paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
							$hervin_args = array(
										'post_type' => 'hervin_portfolio',
										'paged' => $hervin_paged,
										'posts_per_page' => 1000,
										 );

							$hervin_portfolio = new WP_Query( $hervin_args );

							while( $hervin_portfolio->have_posts() ){

								$hervin_portfolio->the_post();

								get_template_part('sections/portfolio_section_item');
								
								$hervin_item_full_image = hervin_get_post_meta( HERVIN_THEME_OPTIONS, get_the_ID(), 'hervin-opt-portfolio-hero-img' );

								if( $hervin_item_full_image && isset( $hervin_item_full_image['url'] ) ){
								
									$hervin_page_container_list[] = $hervin_item_full_image['url'];
								}
								
							}
							
							wp_reset_postdata();
							
							hervin_portfolio_images( $hervin_page_container_list );
						?>
						</div>
					</div>
					<!--/Portfolio -->
					
				</div>
                <!--/Main Page Content -->
				
				<?php
		
					// display hero section
					get_template_part('sections/page_navigation_section'); 
		
				?>
			</div>
			<!-- /Main Content -->
		</div>
        <!--/Main -->
<?php
			
}
	
get_footer();

?>